<template>
    <v-expansion-panel  v-for="(item, index) in items" :key="index" class="custom-panel"
        style="margin-top: 15px !important; border-radius: 11px;!important">
        <v-expansion-panel-title class="d-flex align-center justify-space-between">
            <v-container fluid>
                <v-row>
                    <v-col cols="12" md="6" class="text-start"><span class="panel-title" style="font-size: 16px;">{{ item.title }}</span></v-col>
                    <v-col v-if="this.width >= 1025" cols="12" md="6" class="text-end"
                        style="justify-content: flex-end;display: flex;">
                        <div class="d-flex justify-content-end" fluid>
                            <custom-input v-if="item.isCustomInput" icon="mitc-search" :id="'name-input-${index}'"
                                v-model="item.name" placeholder="Ara" />
                            <div style="margin: 6px;"></div>
                            <custom-button v-if="item.isCustomButton" icon="mitc-fileArrowDown" color="info"
                                size="small">Excel'e Aktar</custom-button>
                        </div>
                    </v-col>
                </v-row>
            </v-container>
        </v-expansion-panel-title>
        <v-expansion-panel-text>
            <v-row v-if="this.width <= 1024">
                <v-col  cols="12" md="6" class="text-end"
                    style="justify-content: flex-end;display: flex;">
                    <div class="d-flex justify-content-end" fluid>
                        <custom-input v-if="item.isCustomInput" icon="mitc-search" :id="'name-input-${index}'"
                            v-model="item.name" placeholder="Ara" />
                        <div style="margin: 6px;"></div>
                        <custom-button v-if="item.isCustomButton" icon="mitc-fileArrowDown" color="info"
                            size="small">Excel'e Aktar</custom-button>
                    </div>
                </v-col>
            </v-row>
            <component :is="item.customComponents" />
        </v-expansion-panel-text>
    </v-expansion-panel>
</template>
  
<script>
import CustomButton from '@/components/custom-controller/CustomButton.vue';
import CustomInput from '@/components/custom-controller/CustomInput.vue';
export default {
    components: {
        CustomButton,
        CustomInput
    },
    props: {
        items: {
            type: Array,
            required: true,
        },
    },

    data: () => {
        return {
            width: 0
        }
    },
    mounted() {
        this.updateWindowDimensions();
        window.addEventListener('resize', this.updateWindowDimensions);
    },
    methods: {
        updateWindowDimensions() {
            this.width = window.innerWidth;
        },
        handleClick() {
            console.log('Button clicked!');
            console.log(this.width);
        }
    },
    beforeUnmount() {
        window.removeEventListener('resize', this.updateWindowDimensions);
    }

}
</script>
  